Issue 37911

Summary: OOo incurrectly doesn't identify David CLM as David
Product: gsl Reporter: sforbes <xslf>
Component: codeAssignee: ulf.stroehler
Status: CLOSED FIXED QA Contact: issues@gsl <issues>
Severity: Trivial    
Priority: P3 CC: alan, hdu, issues, kzamir
Version: 680m62Keywords: ms_interoperability, oooqa
Target Milestone: OOo 2.0   
Hardware: All   
OS: Linux, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
exmaple file
none
An example with a spreadsheet none

Description sforbes 2004-11-25 20:52:03 UTC
In the current version of the Hebrew Culmus fonts (the Default Hebrew fonts on
most linuxes http://culmus.sf.net ), the David font is called "David CLM". 

When opening a word document that uses David (a very common Hebrew font, which
David CLM matches), OOo uses another font instead for the regular font (but
seems to use David CLM correctly for the bold and italic versions).

This makes transfering documents from Windows more problematic then it needs to be.
Comment 1 sforbes 2004-11-25 20:52:57 UTC
Created attachment 19699 [details]
exmaple file
Comment 2 sforbes 2004-11-25 20:56:26 UTC
The attached document has three lines:
* Regular David
* Bold David
* Italic david

on a system with only the culmus fonts (the defualt setup for modern linux
distros), only the 2nd and 3rd lines use the culmus version of David, while the
first does not.
Comment 3 sforbes 2004-11-25 21:51:28 UTC
Created attachment 19707 [details]
An example with a spreadsheet
Comment 4 thorsten.ziehm 2005-01-03 16:04:21 UTC
Hi us, please have a look. thx
Comment 5 ulf.stroehler 2005-01-03 17:52:10 UTC
If I understand well you'd like to see an (implicit) mapping from "David" -> 
"David CLM". Which sounds reasonable to me also.

US->HDU: interesting aspect: the font being used in the attached bugdoc --
"David" doesn't seem to get replaced by any of the expected candidates from the
VCL.xcu for hebrew "CTL_TEXT" on my fedora3 linux box.
<value>OONaksit;Tahoma;Lucidasans;Lucida Sans;Arial Unicode MS</value>
Looks more like "Andale Sans UI" is used (glyph fallback without need?)

In other words: needs a libvcl with debugging.
Comment 6 sforbes 2005-01-04 02:00:36 UTC
>Tahoma;Lucidasans;Lucida Sans;Arial Unicode MS

None of the fonts in the above list come with a version containing Hebrew Glyphs
in a default installation of Fedora (and most other Linux distros)
Comment 7 hdu@apache.org 2005-01-04 16:01:42 UTC
Interesting. Do you know where the CLM comes from? Is it an abbreviation of
"Culmus"? Anyway, it is easy enough to strip the CLM part from the font... on
the other hand stripping parts of font names is disputed in some cases...
Comment 8 sforbes 2005-01-04 17:41:37 UTC
> Do you know where the CLM comes from? Is it an abbreviation of
"Culmus"?

Yes, the CLM fonts are the culmus fonts.
Comment 9 sforbes 2005-01-09 01:42:14 UTC
Would it be possible to have this mapping by 2.0?
As OOo tends to have strange problems when it is using font subtitution, and
"david" is one of the most used fonts for Hebrew, having this mapping in 2.0
will prevent A LOT of user problems.

Comment 10 dotan 2005-01-10 00:05:48 UTC
Tested on Mandrake 10.1 with the 0.101 Culmus fonts package on both 1.1.3 and
m65 and was found to be OK (the original David was replaced with my David_CLM fonts)

Please note in this regard http://qa.mandrakesoft.com/show_bug.cgi?id=11502#c24
Comment 11 dotan 2005-01-10 00:06:01 UTC
Tested on Mandrake 10.1 with the 0.101 Culmus fonts package on both 1.1.3 and
m65 and was found to be OK (the original David was replaced with my David_CLM fonts)

Please note in this regard http://qa.mandrakesoft.com/show_bug.cgi?id=11502#c24

Regards

Dotan
Comment 12 sforbes 2005-01-10 04:47:21 UTC
>Please note in this regard http://qa.mandrakesoft.com/show_bug.cgi?id=11502#c24

I am not sure how much that bug is related to this. 
This bug is about an (implicit) mapping from "David" -> "David CLM", which does
not exsist at least on Gentoo and Fedora.

I suspect that MDK may have added such mapping at the X-server level. This
probably needs to be investigated.
Comment 13 dotan 2005-01-10 09:22:49 UTC
Please note Maxim's 2nd comment in the linked bug (in his #24 comment which I 
linked before).
The basic bug reported there is different but the OOo specific bug may explain 
this one at least in some cases and specificaly in regarding to the Culmus 0.100

Anyway I might get to test this one latter today on a Debian machine and if so 
you'll be the first to know ;)

Regards

Dotan
Comment 14 dotan 2005-01-10 16:37:59 UTC
OK, you're the first to know -
The bug is there (OOo on Debian with Culmus 0.101).

Regards

Dotan
Comment 15 hdu@apache.org 2005-01-12 11:34:14 UTC
Fixed in CWS vcl34, since I'm currently working on the relevant code anyway for
related issue 38822: The CLM extension in font names will be ignored after the
first mismatch.
Comment 16 hdu@apache.org 2005-01-14 08:19:10 UTC
reopening for reassignment
Comment 17 hdu@apache.org 2005-01-14 08:34:35 UTC
reassigning.
Comment 18 hdu@apache.org 2005-01-14 08:36:03 UTC
HDU->US: please verify in CWS vcl34.
Comment 19 ulf.stroehler 2005-01-25 19:31:55 UTC
Verified in cws 'vcl34' with new version of Culmus fonts (version 1.01).
Comment 20 ulf.stroehler 2005-02-04 19:30:58 UTC
Verified in MWS m77.
Pls. note that the revision 1.01 of the Culmus fonts now also provides "David"
as an XFont which will be preferred instead of "Culmus CLM". This is evident
because of the names. Almost unnecessarry to mentioned the inferior quality
impression of the XFont... The same is true for other fonts from the culmus package.

Workaround: prevent X from rendering these fonts directly -- remove the
respective fonts.dir file.
Comment 21 iorsh 2005-02-05 12:06:07 UTC
Would it help, if I change the fonts.dir file to use names like "David CLM"
instead of "David" (i.e. adjust it completely to the new names)?
Comment 22 ulf.stroehler 2005-02-07 11:20:33 UTC
@hdu/Shoshanna: the last comment (from iorsh) probably is for you. From my point
of you this would be helpful.
Comment 23 hdu@apache.org 2005-03-04 15:43:28 UTC
hdu->iorsh: Renaming also in the fonts.dir would solve the problem that when
"David" is requested a "David" X11 font would win against the Type1 "David CLM".
Having consistent names is always good from the OOo perspective.